Subject: bug#41402: closed (Re: [bug#41402] cwm: Update to 6.6)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 19 May 2020 18:32:02 +0000

Your bug report

#41402: cwm: Update to 6.6

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41402: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41402
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#41402] cwm: Update to 6.6
From: Leo Famulari <[email-masked]>
To: Nikita Gillmann <[email-masked]>
Cc: [email-masked]
Date: Tue, 19 May 2020 14:31:30 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, May 19, 2020 at 06:43:09PM +0200, Nikita Gillmann wrote:
> Leo Famulari transcribed 0.2K bytes:
> > On Tue, May 19, 2020 at 12:48:59PM +0200, Nikita Gillmann wrote:
> > > This updates cwm to Version 6.6
> > > Upstream URL did change.
> > 
> > The home-page should change too, right?
> 
> In wm/cwm (https://pkgsrc.se/wm/cwm) I use https://github.com/leahneukirchen/cwm
> I did not check the guix package for this because it changed a long time ago.
> Seems like this isn't changed in guix.
> 
> Can you add these 2 changes? I thought I only missed mentioning the website
> in the commit log.

Okay, pushed as 9593caff8d5dcd8cc369fb8c944885c1d9a14793

Subject: cwm: Update to 6.6
From: Nikita Gillmann <[email-masked]>
To: [email-masked]
Date: Tue, 19 May 2020 12:48:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This updates cwm to Version 6.6
Upstream URL did change.
From 94da23021599bb91b547859c142648ed9691d876 Mon Sep 17 00:00:00 2001
From: nikita <[email-masked]>
Date: Tue, 19 May 2020 12:41:58 +0200
Subject: [PATCH] gnu: cwm: Update to 6.6.

* gnu/packages/wm.scm (cwm): Update to 6.6.
---
 gnu/packages/wm.scm | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/wm.scm b/gnu/packages/wm.scm
index a29a7d9764..cd22dffcd3 100644
--- a/gnu/packages/wm.scm
+++ b/gnu/packages/wm.scm
@@ -9,7 +9,7 @@
 ;;; Copyright © 2016 Al McElrath <[email-masked]>
 ;;; Copyright © 2016 Carlo Zancanaro <[email-masked]>
 ;;; Copyright © 2016, 2017, 2018, 2019 Ludovic Courtès <[email-masked]>
-;;; Copyright © 2016, 2017, 2018 Nikita <[email-masked]>
+;;; Copyright © 2016, 2017, 2018, 2020 Nikita <[email-masked]>
 ;;; Copyright © 2016 doncatnip <[email-masked]>
 ;;; Copyright © 2016 Ivan Vilata i Balaguer <[email-masked]>
 ;;; Copyright © 2017 Mekeor Melire <[email-masked]>
@@ -1176,15 +1176,15 @@ It is inspired by Xmonad and dwm.  Its major features include:
 (define-public cwm
   (package
     (name "cwm")
-    (version "6.3")
+    (version "6.6")
     (source
      (origin
        (method url-fetch)
-       (uri (string-append "http://chneukirchen.org/releases/cwm-"
+       (uri (string-append "https://leahneukirchen.org/releases/cwm-"
                            version ".tar.gz"))
        (sha256
         (base32
-         "17pdp9cfgh2n3n3905l4rl9qk7b722i8psnarhlc2h98qzx7zmac"))))
+         "0p350pbfn92m21jiq4i324sdskxhs71p435g0mgz7cmzprnhhg92"))))
     (build-system gnu-build-system)
     (arguments
      `(#:make-flags (list "CC=gcc"
-- 
2.25.2